
Foreman - Feature #37134

NodeJS 18 and NPM 8 compatibility

02/01/2024 12:15 PM - Maria Agaphontzev

Status: Closed   

Priority: Normal   

Assignee: Maria Agaphontzev   

Category: JavaScript stack   

Target version: 3.10.0   

Difficulty:  Fixed in Releases: 3.10.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10016

  

Description

Associated revisions

Revision 30f93cc4 - 02/29/2024 12:41 PM - Maria Agaphontzev

Fixes #37134 - upgrade to node 18 and npm 8

History

#1 - 02/01/2024 01:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10016 added

#2 - 02/29/2024 12:42 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 02/29/2024 01:00 PM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|30f93cc4570d8a1ff54e4f6f1484f068e3627d66.

#4 - 03/01/2024 06:06 PM - Ewoud Kohl van Wijngaarden

- Subject changed from upgrade to node 18 and npm 8 to NodeJS 18 and NPM 8 compatibility

- Target version set to 3.10.0

- Triaged changed from No to Yes

- Fixed in Releases 3.10.0 added

- Fixed in Releases deleted (3.11.0)
